# PLDAPSession::ModAttrib Class Reference

`#include <pldap.h>`

Inheritance diagram for PLDAPSession::ModAttrib:

List of all members.

## Public Types

| Add
| Replace
| Delete
| NumOperations
enum | Operation { Add, Replace, Delete, NumOperations }

## Public Member Functions

const PString & | GetName () const
Operation | GetOperation () const
void | SetLDAPMod (struct ldapmod &mod, Operation defaultOp)

## Protected Member Functions

| ModAttrib (const PString &name, Operation op=NumOperations)
virtual PBoolean | IsBinary () const =0
virtual void | SetLDAPModVars (struct ldapmod &mod)=0

## Protected Attributes

PString | name
Operation | op

## Member Enumeration Documentation

enum PLDAPSession::ModAttrib::Operation

Enumerator:

  Add |
  Replace |
  Delete |
  NumOperations |

## Constructor & Destructor Documentation

PLDAPSession::ModAttrib::ModAttrib | ( | const PString & | name,
|  | Operation | op = `NumOperations` |
| ) |  |  | `[protected]`

## Member Function Documentation

const PString& PLDAPSession::ModAttrib::GetName | ( |  | ) | const`[inline]`

Operation PLDAPSession::ModAttrib::GetOperation | ( |  | ) | const`[inline]`

virtual PBoolean PLDAPSession::ModAttrib::IsBinary | ( |  | ) | const`[protected, pure virtual]`

Implemented in PLDAPSession::StringModAttrib, and PLDAPSession::BinaryModAttrib.

void PLDAPSession::ModAttrib::SetLDAPMod | ( | struct ldapmod & | mod,
|  | Operation | defaultOp |
| ) |  |  |

virtual void PLDAPSession::ModAttrib::SetLDAPModVars | ( | struct ldapmod & | mod | ) | `[protected, pure virtual]`

Implemented in PLDAPSession::StringModAttrib, and PLDAPSession::BinaryModAttrib.

## Member Data Documentation

PString PLDAPSession::ModAttrib::name `[protected]`

Operation PLDAPSession::ModAttrib::op `[protected]`

The documentation for this class was generated from the following file:

- pldap.h